<div class="main-container">
  <div class="contacts-wrapper">
    <div class="contacts-info-block">
      <h4 class="contacts-title">ООО Дентигала</h4>
      <div class="contacts-link-box">
        <app-email-icon></app-email-icon>
        <a href="mailto:dentigala@mail.ru">dentigala@mail.ru</a>
      </div>
      <div class="contacts-link-box">
        <app-phone-icon></app-phone-icon>
        <a href="tel:+79053307743">+7(905)3307743</a>
      </div>
      <div class="contacts-link-box">
        <app-phone-icon></app-phone-icon>
        <a href="tel:+78447321627">+7 (84473) 2-16-27</a>
      </div>
      <div class="contacts-link-box">
        <app-location-icon></app-location-icon>
        <div class="top-header-phone">Суровикино, ул. Советская д. 109</div>
      </div>
      <div class="contacts-link-box time-box">
        <app-clock-icon></app-clock-icon>
        <div class="top-header-phone">Пн-Пт 9:00-17:00
          <br>
          Сб-Вс выходной
        </div>
      </div>
      <form [formGroup]="form" (ngSubmit)="sendMessage()" class="contact-form">
        <div class="form-control">
          <label class="form-label" for="name"></label>
          <input formControlName="name" class="form-input" placeholder="Имя" id="name" type="text">
        </div>
        <div
          *ngIf="form.controls['name'].invalid && (form.controls['name'].dirty || form.controls['name'].touched)">
          <div class="alert" *ngIf="form.controls['name'].errors?.['required']">
            Введите имя
          </div>
        </div>
        <div class="form-control">
          <label class="form-label" for="phone"></label>
          <input formControlName="phone" class="form-input" placeholder="Телефонный номер" id="phone" type="text">
        </div>
        <div
          *ngIf="form.controls['phone'].invalid && (form.controls['phone'].dirty || form.controls['phone'].touched)">
          <div class="alert" *ngIf="form.controls['phone'].errors?.['required']">
            Введите номер телефона
          </div>
          <div class="alert" *ngIf="form.controls['phone'].errors?.['pattern']">
            Введите корректный номер телефона
          </div>
        </div>
        <div class="form-control">
          <label class="form-label" for="message"></label>
          <textarea formControlName="message" placeholder="Оставьте сообщение" class="form-input" name="message"
                    id="message"
                    rows="10"></textarea>
        </div>
        <div
          *ngIf="form.controls['message'].invalid && (form.controls['message'].dirty || form.controls['message'].touched)">
          <div class="alert" *ngIf="form.controls['message'].errors?.['required']">
            Введите сообщение
          </div>
        </div>
        <div class="form-group">
          <label
            class="box-text" for="agreement">Подтверждаю, что ознакомился с <span class="policy" (click)="openPolicy()">Политикой обработки персональных данных</span></label>
          <input formControlName="checkInput" type="checkbox" id="agreement">
        </div>
        <div *ngIf="isLoading$ | async" class="loader-container">
          <app-loader></app-loader>
        </div>
        <div class="alert" *ngIf="isError$ | async">Произошла ошибка при отправке сообщения</div>
        <div class="success" *ngIf="isSuccessfully$ | async">Сообщение отправлено</div>
        <button *ngIf="!(isLoading$ | async)" [class.disabled]="form.invalid" class="btn">Отправить</button>
      </form>
    </div>
    <div class="contacts-map">
      <iframe
        src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2638.3020863656584!2d42.845078!3d48.6040606!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x411b77a038f49233%3A0x3313d9a7a6652e7!2z0YPQuy4g0KHQvtCy0LXRgtGB0LrQsNGPLCAxMDksINCh0YPRgNC-0LLQuNC60LjQvdC-LCDQktC-0LvQs9C-0LPRgNCw0LTRgdC60LDRjyDQvtCx0LsuLCDQoNC-0YHRgdC40Y8sIDQwNDQxNQ!5e0!3m2!1sru!2see!4v1674480109598!5m2!1sru!2see"
        width="100%" height="400" style="border:0;" allowfullscreen="" loading="lazy"
        referrerpolicy="no-referrer-when-downgrade"></iframe>
    </div>
  </div>
</div>
